Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029567
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2015-04-09 10:452015-04-14 18:02
ReporterumartirenaView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision0fe1fb83dabe
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029567: onChange event does not work fine using Date parameters in Process Definition

DescriptionIf an Onchange javascript function is added to a Date Parameter in a Process Definition, the event is only raised the first time that the value is changed using the calendar element. And is executed when manually changing the focus to another place.
It would be great to not to be necessary to change the focus manually.

When the value is changed directly in the field using keyboard the event gets executed always, but does not work as expected after the first execution.
Steps To ReproduceAs System Administrator:
* Go to Process Definition window and select Add Transaction record.
* In trxdate parameter add the following value in OnChange Function: OB.APRM.AddTransaction.trxDateOnChangeFunction
* In ob-aprm-addTransaction.js and the following piece of code:
OB.APRM.AddTransaction.trxDateOnChangeFunction = function (item, view, form, grid) {
    form.getItem('dateacct').setValue(new Date(item.getValue()));
};

As F&B Group Admin:
* Go to Financial Account window. Select "Bank - Account 1".
* Go to Imported Bank Statements tab. Create a Header.
* Create a Bank Statement Line. Amount Out 10. Process it.
* Click on Match Statement. Cancel the displayed popup.
* Select the previously created line and click on Add Transaction.
* Change Transaction Date using the calendar element or manually.
* Notice that the behavior described above happens.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029544 closedcaristu onChange event does not work fine using Date parameters in Process Definition 

-  Notes
(0076525)
hgbot (developer)
2015-04-14 13:45

Repository: erp/backports/3.0PR15Q2
Changeset: 0fe1fb83dabed14d758b6b1743e27812e388d1b7
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Apr 14 13:45:24 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/0fe1fb83dabed14d758b6b1743e27812e388d1b7 [^]

fixes issue 29567: onChange event does not work fine
 using Date parameters in Process Definition

There were two different problems:
1) When changing the value manually, the _textChanged attribute was always true after the first change. This prevented the date value to be updated properly. This has been solved by creating a new method, setDateParameterValue, which avoids this problem when setting the date parameter values. The following documentation has been updated with this information: http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition#Advanced_Topics [^]
2) When changing the value from the date picker, the onblur event was not being called after the first time. This has been solved by calling the handleItemChange method of the OBParameterWindowForm class after choosing the value from the picker.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-date.js
---
(0076535)
AugustoMauch (developer)
2015-04-14 18:02

Code reviewed and verified in [1]@0fe1fb83dabe

[1] https://code.openbravo.com/erp/backports/3.0PR15Q2 [^]

- Issue History
Date Modified Username Field Change
2015-04-13 08:48 alostale Type defect => backport
2015-04-13 08:48 alostale Target Version => 3.0PR15Q2
2015-04-14 13:44 caristu Review Assigned To => AugustoMauch
2015-04-14 13:45 caristu Issue Monitored: AugustoMauch
2015-04-14 13:45 hgbot Checkin
2015-04-14 13:45 hgbot Note Added: 0076525
2015-04-14 13:45 hgbot Status scheduled => resolved
2015-04-14 13:45 hgbot Resolution open => fixed
2015-04-14 13:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2/rev/0fe1fb83dabed14d758b6b1743e27812e388d1b7 [^]
2015-04-14 15:19 alostale Assigned To platform => caristu
2015-04-14 18:02 AugustoMauch Note Added: 0076535
2015-04-14 18:02 AugustoMauch Status resolved => closed
2015-04-14 18:02 AugustoMauch Fixed in Version => 3.0PR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker